using System;
using System.Text;
using Daolite;
using Daolite.Mapping;
using Daolite.DBControls;
using Daolite.DBControls.SqlElements;

namespace Northwind
{
	public class Invoices  : Daolite.Business
	{
		public const string P_Address = "Address";
		public const string P_City = "City";
		public const string P_Country = "Country";
		public const string P_CustomerID = "CustomerID";
		public const string P_Customers_CompanyName = "Customers_CompanyName";
		public const string P_Discount = "Discount";
		public const string P_ExtendedPrice = "ExtendedPrice";
		public const string P_Freight = "Freight";
		public const string P_OrderDate = "OrderDate";
		public const string P_OrderID = "OrderID";
		public const string P_PostalCode = "PostalCode";
		public const string P_ProductID = "ProductID";
		public const string P_ProductName = "ProductName";
		public const string P_Quantity = "Quantity";
		public const string P_Region = "Region";
		public const string P_RequiredDate = "RequiredDate";
		public const string P_Salesperson = "Salesperson";
		public const string P_ShipAddress = "ShipAddress";
		public const string P_ShipCity = "ShipCity";
		public const string P_ShipCountry = "ShipCountry";
		public const string P_ShipName = "ShipName";
		public const string P_ShippedDate = "ShippedDate";
		public const string P_Shippers_CompanyName = "Shippers_CompanyName";
		public const string P_ShipPostalCode = "ShipPostalCode";
		public const string P_ShipRegion = "ShipRegion";
		public const string P_UnitPrice = "UnitPrice";

		string _Address;

		public string Address{
			get { return _Address; }
			set { _Address = value; }
		}


		string _City;

		public string City{
			get { return _City; }
			set { _City = value; }
		}


		string _Country;

		public string Country{
			get { return _Country; }
			set { _Country = value; }
		}


		string _CustomerID;

		public string CustomerID{
			get { return _CustomerID; }
			set { _CustomerID = value; }
		}


		string _Customers_CompanyName;

		public string Customers_CompanyName{
			get { return _Customers_CompanyName; }
			set { _Customers_CompanyName = value; }
		}


		double _Discount;

		public double Discount{
			get { return _Discount; }
			set { _Discount = value; }
		}


		double _ExtendedPrice;

		public double ExtendedPrice{
			get { return _ExtendedPrice; }
			set { _ExtendedPrice = value; }
		}


		double _Freight;

		public double Freight{
			get { return _Freight; }
			set { _Freight = value; }
		}


		DateTime _OrderDate;

		public DateTime OrderDate{
			get { return _OrderDate; }
			set { _OrderDate = value; }
		}


		long _OrderID;

		public long OrderID{
			get { return _OrderID; }
			set { _OrderID = value; }
		}


		string _PostalCode;

		public string PostalCode{
			get { return _PostalCode; }
			set { _PostalCode = value; }
		}


		long _ProductID;

		public long ProductID{
			get { return _ProductID; }
			set { _ProductID = value; }
		}


		string _ProductName;

		public string ProductName{
			get { return _ProductName; }
			set { _ProductName = value; }
		}


		int _Quantity;

		public int Quantity{
			get { return _Quantity; }
			set { _Quantity = value; }
		}


		string _Region;

		public string Region{
			get { return _Region; }
			set { _Region = value; }
		}


		DateTime _RequiredDate;

		public DateTime RequiredDate{
			get { return _RequiredDate; }
			set { _RequiredDate = value; }
		}


		string _Salesperson;

		public string Salesperson{
			get { return _Salesperson; }
			set { _Salesperson = value; }
		}


		string _ShipAddress;

		public string ShipAddress{
			get { return _ShipAddress; }
			set { _ShipAddress = value; }
		}


		string _ShipCity;

		public string ShipCity{
			get { return _ShipCity; }
			set { _ShipCity = value; }
		}


		string _ShipCountry;

		public string ShipCountry{
			get { return _ShipCountry; }
			set { _ShipCountry = value; }
		}


		string _ShipName;

		public string ShipName{
			get { return _ShipName; }
			set { _ShipName = value; }
		}


		DateTime _ShippedDate;

		public DateTime ShippedDate{
			get { return _ShippedDate; }
			set { _ShippedDate = value; }
		}


		string _Shippers_CompanyName;

		public string Shippers_CompanyName{
			get { return _Shippers_CompanyName; }
			set { _Shippers_CompanyName = value; }
		}


		string _ShipPostalCode;

		public string ShipPostalCode{
			get { return _ShipPostalCode; }
			set { _ShipPostalCode = value; }
		}


		string _ShipRegion;

		public string ShipRegion{
			get { return _ShipRegion; }
			set { _ShipRegion = value; }
		}


		double _UnitPrice;

		public double UnitPrice{
			get { return _UnitPrice; }
			set { _UnitPrice = value; }
		}


	}
}
